aboutsummaryrefslogtreecommitdiff
path: root/plugins/gpu_neon/psx_gpu/tests/psx_dump_check.sh
diff options
context:
space:
mode:
authornotaz2012-10-06 23:36:06 +0300
committernotaz2012-10-06 23:59:31 +0300
commitf82c62507c67309b9c020a54f6c848853d39febe (patch)
tree9a7481f95550b2386371aa4380117cdbbb49557f /plugins/gpu_neon/psx_gpu/tests/psx_dump_check.sh
parentc979c3ee0d0bc6bece799a6f4013993d7cb2d5f3 (diff)
downloadpcsx_rearmed-f82c62507c67309b9c020a54f6c848853d39febe.tar.gz
pcsx_rearmed-f82c62507c67309b9c020a54f6c848853d39febe.tar.bz2
pcsx_rearmed-f82c62507c67309b9c020a54f6c848853d39febe.zip
psx_gpu: standalone test build + tweaks
Diffstat (limited to 'plugins/gpu_neon/psx_gpu/tests/psx_dump_check.sh')
-rwxr-xr-xplugins/gpu_neon/psx_gpu/tests/psx_dump_check.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/plugins/gpu_neon/psx_gpu/tests/psx_dump_check.sh b/plugins/gpu_neon/psx_gpu/tests/psx_dump_check.sh
new file mode 100755
index 0000000..25d0725
--- /dev/null
+++ b/plugins/gpu_neon/psx_gpu/tests/psx_dump_check.sh
@@ -0,0 +1,8 @@
+truncate --size 0 $1
+for dump in gpu_dumps_all/*
+do
+ if [ -e $dump/dump3.dump -a -e $dump/list.dump ]; then
+ ./psx_gpu $dump/dump3.dump $dump/list.dump -n >> $1
+ echo "Mismatches in $dump: $?"
+ fi
+done